/** Una classe per controllare la crescita di un investimento che accumula
    interessi a un tasso annuale fisso */
public class Investimento  {
  /** Costruisce un Investimento con un saldo iniziale e un tasso di interesse
      fisso 
      @param aBalance saldo iniziale
      @parem aRate il tasso di interesse annuale fisso */
  public Investimento(double aBalance, double aRate) {
    balance = aBalance;
    rate = aRate;
    years = 0;
  // Anni necessari inizialmente posti a zero
  }

  /** Continua ad accumulare interessi finch il saldo non raggiunge un saldo
      desiderato 
      @param targetBalance il saldo desiderato */
  public void waitForBalance(double targetBalance) {
    while ( balance < targetBalance ) {
      years++;
      double interessi = balance * rate / 100;
      balance += interessi;
    }
  }

  /** Restituisce il saldo attuale dell'Investimento 
      @return il saldo attuale */
  public double getBalance() {
    return balance;
  }

  /** Restituisce il numero di anni per i quali l'investimento ha accumulato
      interessi
      @return il numero di anni trascorsi dall'inizio dell'investimento
   */
  public int getYears() {
    return years;
  }

  private int years;

  private double balance;

  private double rate;
}
